define('jls/lang/BufferUnderflowException', ['jls/lang/Class', 'jls/lang/Exception'], function (Class, Exception) {

var BufferUnderflowException;
/**
 * @name jls.lang.BufferUnderflowException
 * @augments jls.lang.Exception
 * @class Thrown to indicate that the target buffer's limit is reached.
 */
BufferUnderflowException = Class.create(Exception, /** @lends jls.lang.BufferUnderflowException.prototype */
{
    initialize : function($super, message, cause) {
        $super(message, cause);
    }
});

return BufferUnderflowException;
});
